net.corda.node.utilities

## Class StrandLocalTransactionManager.Boundary

- net.corda.node.utilities.StrandLocalTransactionManager.Boundary

- Enclosing class:
    StrandLocalTransactionManager

      public static class StrandLocalTransactionManager.Boundary

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `Boundary(java.util.UUID txId)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.util.UUID` | `component1()`
    `StrandLocalTransactionManager.Boundary` | `copy(java.util.UUID txId)`
    `boolean` | `equals(java.lang.Object p)`
    `java.util.UUID` | `getTxId()`
    `int` | `hashCode()`
    `java.lang.String` | `toString()`

- - ### Constructor Detail

    - #### Boundary

          public Boundary(java.util.UUID txId)

  - ### Method Detail

    - #### getTxId

          public java.util.UUID getTxId()

    - #### component1

          public java.util.UUID component1()

    - #### copy

          public StrandLocalTransactionManager.Boundary copy(java.util.UUID txId)

    - #### toString

          public java.lang.String toString()

    - #### hashCode

          public int hashCode()

    - #### equals

          public boolean equals(java.lang.Object p)